-- 0,80 -> 112,112
batvio={
    name="batvio",
    hab=7,
    x=7,
    y=2,
    w=112,
    h=32,
    flip=true,
    frame=0,
    wait=0,
    step=0,
    energy=_energy,
    max_energy = _energy,
    hit=zombie.hit,
    update=zombie.update_normal, 
    draw=zombie.draw,
    jumpfwd=false,
    anim={},
    bb={x=16,y=3,w=80,h=29},
    can_warp=false,
    warping=false,
    shrink=1,
    d_shrink=1,
    angle=0,
    d_angle=15,
    dying=false,
    death_time=40,
    enabled=true,
    disable_reason="",
    enabled=true,
}

function batvio.init()
    local world_x, world_y = coords.room_to_world(batvio.hab,batvio.x,batvio.y)
    batvio.x=world_x
    batvio.y=world_y
end

function batvio.draw()
    local curr_sf = surf.source()
    surf.source(tiles2)
    local scr_x, scr_y = viewp:screen_coords( batvio.x, batvio.y )
    draw.surf(0,80,batvio.w,batvio.h,scr_x,scr_y,batvio.w,batvio.h,batvio.flip)
    surf.source(curr_sf)
end

function batvio.hit()
end

function batvio.update()

end